Index: code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file AddQuest.cc
     @brief
-	Implementation of the AddQuest class.
+    Implementation of the AddQuest class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file AddQuest.h
     @brief
-	Definition of the AddQuest class.
+    Definition of the AddQuest class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file AddQuestHint.cc
     @brief
-	Implementation of the AddQuestHint class.
+    Implementation of the AddQuestHint class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file AddQuestHint.h
     @brief
-	Definition of the AddQuestHint class.
+    Definition of the AddQuestHint class.
 */
 
@@ -48,5 +48,5 @@
         Adds a QuestHint, resp. activates the QuestHint of the given id for the player the QuestEffect is invoked on.
         
-	Creating a AddQuestHint through XML goes as follows:
+    Creating a AddQuestHint through XML goes as follows:
         
         <AddQuestHint hintId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the QuestHint that should be added.
Index: code/branches/questsystem2/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/AddReward.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/AddReward.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file AddReward.cc
     @brief
-	Implementation of the AddReward class.
+    Implementation of the AddReward class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/AddReward.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/AddReward.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file AddReward.h
     @brief
-	Definition of the AddReward class.
+    Definition of the AddReward class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file ChangeQuestStatus.cc
     @brief
-	Implementation of the ChangeQuestStatus class.
+    Implementation of the ChangeQuestStatus class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file ChangeQuestStatus.h
     @brief
-	Definition of the ChangeQuestStatus class.
+    Definition of the ChangeQuestStatus class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file CompleteQuest.cc
     @brief
-	Implementation of the CompleteQuest class.
+    Implementation of the CompleteQuest class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file CompleteQuest.h
     @brief
-	Definition of the CompleteQuest class.
+    Definition of the CompleteQuest class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file FailQuest.cc
     @brief
-	Implementation of the FailQuest class.
+    Implementation of the FailQuest class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file FailQuest.h
     @brief
-	Definition of the FailQuest class.
+    Definition of the FailQuest class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file GlobalQuest.cc
     @brief
-	Implementation of the GlobalQuest class.
+    Implementation of the GlobalQuest class.
 */
 
@@ -101,5 +101,5 @@
         }
         
-        COUT(2) << "A non-completable quest was trying to be failed." << std::endl;
+        COUT(4) << "A non-completable quest was trying to be failed." << std::endl;
         return false;
     }
@@ -131,5 +131,5 @@
         }
         
-        COUT(2) << "A non-completable quest was trying to be completed." << std::endl;
+        COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
         return false;
     }
@@ -203,5 +203,5 @@
         }
 
-	return questStatus::inactive;
+    return questStatus::inactive;
     }
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file GlobalQuest.h
     @brief
-	Definition of the GlobalQuest class.
+    Definition of the GlobalQuest class.
 */
 
@@ -56,13 +56,13 @@
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
             <subquests>
-		<Quest id ="questId1" /> //A list of n subquest, be aware, each of the <Quest /> tags must have a description and so on and so forth as well.
-		...
-		<Quest id="questIdn" />
-	    </subquests>
-	    <hints>
-		<QuestHint id="hintId1" /> //A list of n QuestHints, see QuestHint for the full XML representation of those.
-		...
-		<QuestHint id="hintIdn" />
-	    </hints>
+        <Quest id ="questId1" /> //A list of n subquest, be aware, each of the <Quest /> tags must have a description and so on and so forth as well.
+        ...
+        <Quest id="questIdn" />
+        </subquests>
+        <hints>
+        <QuestHint id="hintId1" /> //A list of n QuestHints, see QuestHint for the full XML representation of those.
+        ...
+        <QuestHint id="hintIdn" />
+        </hints>
             <fail-effects>
                 <QuestEffect /> //A list of QuestEffects, invoked on all players possessing this quest, when the Quest is failed, see QuestEffect for the full XML representation.
Index: code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file LocalQuest.cc
     @brief
-	Implementation of the LocalQuest class.
+    Implementation of the LocalQuest class.
 */
 
@@ -93,5 +93,5 @@
         }
         
-        COUT(2) << "A non-failable quest was trying to be failed." << std::endl;
+        COUT(4) << "A non-failable quest was trying to be failed." << std::endl;
         return false;
     }
@@ -100,5 +100,5 @@
     @brief
         Completes the Quest for a given player.
-	Invokes all the complete QuestEffects on the player.
+    Invokes all the complete QuestEffects on the player.
     @param player
         The player.
@@ -115,5 +115,5 @@
         }
         
-        COUT(2) << "A non-completable quest was trying to be completed." << std::endl;
+        COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
         return false;
     }
Index: code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file LocalQuest.h
     @brief
-	Definition of the LocalQuest class.
+    Definition of the LocalQuest class.
 */
 
@@ -56,13 +56,13 @@
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
             <subquests>
-		<Quest id ="questId1" /> //A list of n subquest, be aware, each of the <Quest /> tags must have a description and so on and so forth as well.
-		...
-		<Quest id="questIdn" />
-	    </subquests>
-	    <hints>
-		<QuestHint id="hintId1" /> //A list of n QuestHints, see QuestHint for the full XML representation of those.
-		...
-		<QuestHint id="hintIdn" />
-	    </hints>
+        <Quest id ="questId1" /> //A list of n subquest, be aware, each of the <Quest /> tags must have a description and so on and so forth as well.
+        ...
+        <Quest id="questIdn" />
+        </subquests>
+        <hints>
+        <QuestHint id="hintId1" /> //A list of n QuestHints, see QuestHint for the full XML representation of those.
+        ...
+        <QuestHint id="hintIdn" />
+        </hints>
             <fail-effects>
                 <QuestEffect /> //A list of QuestEffects, invoked when the Quest is failed, see QuestEffect for the full XML representation.
Index: code/branches/questsystem2/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/Quest.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/Quest.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file Quest.cc
     @brief
-	Implementation of the Quest class.
+    Implementation of the Quest class.
 */
 
@@ -380,5 +380,5 @@
         }
         
-        COUT(2) << "A non-startable quest was trying to be started." << std::endl;
+        COUT(4) << "A non-startable quest was trying to be started." << std::endl;
         return false;
     }
Index: code/branches/questsystem2/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/Quest.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/Quest.h	(revision 2251)
@@ -30,7 +30,7 @@
     @file Quest.h
     @brief
-	Definition of the Quest class.
-	
-	The Quest is the parent class of LocalQuest and GlobalQuest.
+    Definition of the Quest class.
+    
+    The Quest is the parent class of LocalQuest and GlobalQuest.
 */
  
@@ -90,16 +90,16 @@
                 { return this->parentQuest_; }
                 
-	    /**
-	    @brief Returns the list of subquests.
-	    @return Returns a reference to the list of subquests of the quest.
-	    */
+        /**
+        @brief Returns the list of subquests.
+        @return Returns a reference to the list of subquests of the quest.
+        */
             inline const std::list<Quest*> & getSubQuestList(void) const
                 { return this->subQuests_; }
                 
-	    /**
-	    @brief Returns the list of all QuestHints of this Quest.
-	    @return Returns a reference to the list of QuestHints of the Quest.
-	    */
-	    inline const std::list<QuestHint*> & getHintsList(void) const
+        /**
+        @brief Returns the list of all QuestHints of this Quest.
+        @return Returns a reference to the list of QuestHints of the Quest.
+        */
+        inline const std::list<QuestHint*> & getHintsList(void) const
                 { return this->hints_; }
 
@@ -110,5 +110,5 @@
 
             bool start(PlayerInfo* player); //!< Sets a Quest to active.
-	    virtual bool fail(PlayerInfo* player) = 0; //!< Fails the Quest.
+        virtual bool fail(PlayerInfo* player) = 0; //!< Fails the Quest.
             virtual bool complete(PlayerInfo* player) = 0; //!< Completes the Quest.
 
@@ -131,9 +131,9 @@
                 { return this->failEffects_; }
                 
-	    /**
-	    @brief Returns the list of complete QuestEffects.
-	    @return Returns a reference to the list of complete QuestEffects.
-	    */
-	    inline std::list<QuestEffect*> & getCompleteEffectList(void)
+        /**
+        @brief Returns the list of complete QuestEffects.
+        @return Returns a reference to the list of complete QuestEffects.
+        */
+        inline std::list<QuestEffect*> & getCompleteEffectList(void)
                 { return this->completeEffects_; }
 
@@ -141,5 +141,5 @@
             virtual bool setStatus(PlayerInfo* player, const questStatus::Enum & status) = 0; //!< Changes the status for a specific player.
             
-	private:
+    private:
             Quest* parentQuest_; //!< Pointer to the parentquest.
             std::list<Quest*> subQuests_; //!< List of all the subquests.
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestDescription.cc
     @brief
-	Implementation of the QuestDescription class.
+    Implementation of the QuestDescription class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestDescription.h
     @brief
-	Definition of the QuestDescription class.
+    Definition of the QuestDescription class.
 */
 
@@ -64,15 +64,15 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestDescription object through XML.
 
-	    /**
-	    @brief Returns the title.
-	    @return Returns a string containing the title of the QuestDescription.
-	    */
+        /**
+        @brief Returns the title.
+        @return Returns a string containing the title of the QuestDescription.
+        */
             inline const std::string & getTitle(void) const
                 { return this->title_; }
-	    
-	    /**
-	    @brief Returns the description text.
-	    @return Returns a string containing the description text of the QuestDescription.
-	    */
+        
+        /**
+        @brief Returns the description text.
+        @return Returns a string containing the description text of the QuestDescription.
+        */
             inline const std::string & getDescription(void) const
                 { return this->description_; }
@@ -89,5 +89,5 @@
                 { this->title_ = title; }
                 
-	    /**
+        /**
             @brief Sets the description text.
             @param description The description text to be set.
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestEffect.cc
     @brief
-	Implementation of the QuestEffect class.
+    Implementation of the QuestEffect class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestEffect.h
     @brief
-	Definition of the QuestEffect class.
+    Definition of the QuestEffect class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestEffectBeacon.cc
     @brief
-	Implementation of the QuestEffectBeacon class.
+    Implementation of the QuestEffectBeacon class.
 */
 
@@ -91,5 +91,5 @@
         SUPER(QuestEffectBeacon, processEvent, event);
     
-	SetSubclassEvent(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
+    SetSubclassEvent(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
     }
     
@@ -98,6 +98,4 @@
         Executes the QuestEffectBeacon.
         This means extracting the ControllableEntity from the PlayerTrigger, provided by the Event causing the execution, and the extracting the PlayerInfo from the received ControllableEntity and invoking the QuestEffectbeacon's QuestEffects on the received PlayerInfo.
-    @param b
-        TDO: What is this???
     @param trigger
         Apointer to the PlayerTrigger that threw the Event.
@@ -147,7 +145,7 @@
             this->decrementTimes(); //!< Decrement the number of times the beacon can be used.
             return true;
-	}
-
-	return false;
+    }
+
+    return false;
     }
     
@@ -169,6 +167,6 @@
         if(activate)
         {
-	    this->status_ = QuestEffectBeaconStatus::active;
-	    return true;
+        this->status_ = QuestEffectBeaconStatus::active;
+        return true;
         }
         
@@ -195,8 +193,8 @@
         
         this->times_ = this->times_ - 1; //!< Decrement number of times the QuestEffectBeacon can be executed.
-	if(this->getTimes() == 0) //!< Set the QuestEffectBeacon to inactive when the number of times it can be executed is reduced to 0.
-	{
+    if(this->getTimes() == 0) //!< Set the QuestEffectBeacon to inactive when the number of times it can be executed is reduced to 0.
+    {
             this->status_ = QuestEffectBeaconStatus::inactive;
-	}
+    }
         
         return true;
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestEffectBeacon.h
     @brief
-	Definition of the QuestEffectBeacon class.
+    Definition of the QuestEffectBeacon class.
 */
 
@@ -61,7 +61,7 @@
         A QuestEffectBeacon can be inactive or active.
         
-	Creating a QuestEffectBeacon through XML goes as follows:
-	
-	<QuestEffectBeacon times=n> //Where 'n' is eighter a number >= 0, which means the QuestEffectBeacon can be executed n times. Or n = -1, which means the QuestEffectBeacon can be executed an infinite number of times.
+    Creating a QuestEffectBeacon through XML goes as follows:
+    
+    <QuestEffectBeacon times=n> //Where 'n' is eighter a number >= 0, which means the QuestEffectBeacon can be executed n times. Or n = -1, which means the QuestEffectBeacon can be executed an infinite number of times.
             <effects>
                 <QuestEffect /> //A list of QuestEffects, invoked when the QuestEffectBeacon is executed, see QuestEffect for the full XML representation.
@@ -70,12 +70,12 @@
             </effects>
             <events>
-		<execute>
-		    <EventListener event=eventIdString />
-		</execute>
-	    </events>
-	    <attached>
-	       <PlayerTrigger name=eventIdString /> //A PlayerTrigger triggering the execution of the QuestEffectBeacon.
-	    </attached>
-	</QuestEffectBeacon>
+        <execute>
+            <EventListener event=eventIdString />
+        </execute>
+        </events>
+        <attached>
+           <PlayerTrigger name=eventIdString /> //A PlayerTrigger triggering the execution of the QuestEffectBeacon.
+        </attached>
+    </QuestEffectBeacon>
     @author
         Damian 'Mozork' Frick
@@ -83,24 +83,24 @@
     class _OrxonoxExport QuestEffectBeacon : public PositionableEntity
     {
-	public:
-	    QuestEffectBeacon(BaseObject* creator);
-	    virtual ~QuestEffectBeacon();
-	    
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
-	    
-	    virtual void processEvent(Event& event); //!< Processes an event for this QuestEffectBeacon.
-	    
-	    bool execute(bool b, PlayerTrigger* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
-	    
-	    /**
-	    @brief Tests whether the QuestEffectBeacon is active.
-	    @return Returns true if the QuestEffectBeacon is active, fals if not.
-	    */
-	    inline bool isActive(void)
-	       { return this->status_ == QuestEffectBeaconStatus::active; }
-	    
-	    bool setActive(bool activate); //!< Set the status of the QuestEffectBeacon.
-	    
-	protected:
+    public:
+        QuestEffectBeacon(BaseObject* creator);
+        virtual ~QuestEffectBeacon();
+        
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
+        
+        virtual void processEvent(Event& event); //!< Processes an event for this QuestEffectBeacon.
+        
+        bool execute(bool b, PlayerTrigger* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
+        
+        /**
+        @brief Tests whether the QuestEffectBeacon is active.
+        @return Returns true if the QuestEffectBeacon is active, fals if not.
+        */
+        inline bool isActive(void)
+           { return this->status_ == QuestEffectBeaconStatus::active; }
+        
+        bool setActive(bool activate); //!< Set the status of the QuestEffectBeacon.
+        
+    protected:
             bool decrementTimes(void); //!< Decrement the number of times the QuestEffectBeacon can still be executed.
             
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestHint.cc
     @brief
-	Implementation of the QuestHint class.
+    Implementation of the QuestHint class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestHint.h
     @brief
-	Definition of the QuestHint class.
+    Definition of the QuestHint class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestItem.cc
     @brief
-	Implementation of the QuestItem class.
+    Implementation of the QuestItem class.
 */
 
@@ -77,5 +77,5 @@
     @brief
         Sets the id of the QuestItem.
-	The id must be of GUID form. See 'http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure' for more information.
+    The id must be of GUID form. See 'http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure' for more information.
     @param id
         The id to be set.
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.h	(revision 2251)
@@ -30,7 +30,7 @@
     @file QuestItem.h
     @brief
-	Definition of the QuestItem class.
-	
-	The QuestItem is the parent class of Quest and QuestHint.
+    Definition of the QuestItem class.
+    
+    The QuestItem is the parent class of Quest and QuestHint.
 */
 
@@ -67,12 +67,12 @@
             /**
             @brief Returns the id of this QuestItem.
-	    @return Returns the id of the QuestItem.
+        @return Returns the id of the QuestItem.
             */
             inline const std::string & getId(void) const
                 { return this->id_; }
-	    /**
-	    @brief Returns the QuestDescription of the QuestItem.
-	    @return Returns a pointer to the QuestDescription object of the QuestItem.
-	    */
+        /**
+        @brief Returns the QuestDescription of the QuestItem.
+        @return Returns a pointer to the QuestDescription object of the QuestItem.
+        */
             inline const QuestDescription* getDescription(void) const
                 { return this->description_; }
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestManager.cc
     @brief
-	Implementation of the QuestManager class.
+    Implementation of the QuestManager class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file QuestManager.h
     @brief
-	Definition of the QuestManager class.
+    Definition of the QuestManager class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/Rewardable.cc	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/Rewardable.cc	(revision 2251)
@@ -30,5 +30,5 @@
     @file Rewardable.cc
     @brief
-	Implementation of the Rewardable class.
+    Implementation of the Rewardable class.
 */
 
Index: code/branches/questsystem2/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/branches/questsystem2/src/orxonox/objects/quest/Rewardable.h	(revision 2250)
+++ code/branches/questsystem2/src/orxonox/objects/quest/Rewardable.h	(revision 2251)
@@ -30,5 +30,5 @@
     @file Rewardable.h
     @brief
-	Definition of the Rewardable class.
+    Definition of the Rewardable class.
 */
 
@@ -61,7 +61,7 @@
                 Method to transcribe a rewardable object to the player.
                 Must be implemented by every class inheriting from Rewardable.
-	    @param player
+        @param player
                 A pointer to the ControllableEntity, do whatever you want with it.
-	    @return
+        @return
                 Return true if successful.
             */